package iitb.cfilt.cpost.lexicon;

import java.util.*;

import iitb.cfilt.cpost.dmstemmer.*;

public class SuffixMorphsPair {
	String suffix;
	Vector<MorphResult> morphs;
	
	public SuffixMorphsPair(){
		this.suffix = "";
		this.morphs = null;
	}	
	public SuffixMorphsPair(String suffix, Vector<MorphResult> morphs) {
		super();
		this.suffix = suffix;
		this.morphs = morphs;
	}
	public void addMorph(MorphResult mr){
		this.morphs.add(mr);
	}
	public Vector<MorphResult> getMorphs() {
		return morphs;
	}
	public void setMorphs(Vector<MorphResult> morphs) {
		this.morphs = morphs;
	}
	public String getSuffix() {
		return suffix;
	}
	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}
	public void print(){
		System.out.print("\t\t" + suffix + " -> ");
		for(int m=0; m<morphs.size(); m++){
			if(m>0){
				System.out.print("\t\t\t");
			}
			morphs.get(m).print();			
		}
	}
}
